Subject: [bug#30500] [PATCH] services: cups: Add all extensions by default.

From: zimoun <[email-masked]>
Date: Wed, 28 Oct 2020 18:24:02 +0100

Hi,

On Mon, 19 Oct 2020 at 17:58, Tobias Geerinckx-Rice <[email-masked]> wrote:

>  λ guix size cups | tail -n 1
>  total: 279.5 MiB
>  λ guix size cups-filters escpr hplip-minimal foomatic-filters   splix | tail
> -n 1
>  total: 405.4 MiB (+45%)
>
>>> I think carrying all this could make ‘guix system reconfigure’
>>> heavyweight for many—lots of unnecessary downloads/rebuilds, etc.
>
> ‘Lots’ is way overblown.  This is it:
>
> +/gnu/store/44xzcm69lmy71ydrnmv4plzxc26rk0dc-splix-2.0.0-315
> +/gnu/store/amahw2r0b7fjqphisv8c0f6w77qac3c0-hplip-minimal-3.20.9
> +/gnu/store/jqqf3xzs4sjdvnvddpk3pgx8g2rn9db3-foomatic-filters-4.0.17
> +/gnu/store/w3rqls7rxri89xmi02yw8irycnf5zia1-escpr-1.7.7
> +/gnu/store/9bfxyfqx12mnxwh715y23djnp239qh1b-libusb-1.0.23
> +/gnu/store/57xj5gcy1jbl9ai2lnrqnpr0dald9i65-coreutils-8.32
> +/gnu/store/8zvc5mvk0xm3ygrxsgpyy5ilxb5rzjry-perl-5.30.2
>
> With the last 2 (3?) almost certainly already installed, this is not
> unreasonable for ‘cups-service-type actually prints, even if you visit
> grandma’.

Grandma’ is lost, on one hand +45% and on the other hand not
unreasonable. :-)

Does it make sense to apply the patch?  From my point of view, yes.

Cheers,
simon